<template>
  <div>
    <div class="row items-center">
      <q-checkbox v-model="acceptPolicy"></q-checkbox>
      <span>
        Chấp nhận những
        <a
          class="cursor-pointer text-blue-6"
          @click="openModal = true"
        >điều khoản và điều kiện</a> của VDC
      </span>
    </div>
    <q-dialog v-model="openModal">
      <q-card>
        <q-card-section class="row items-center">
          <div class="text-h6">Những điều khoản và điều kiện</div>
          <q-space />
          <q-btn icon="close" flat round dense v-close-popup />
        </q-card-section>
        <q-card-section>
          <p>
            <strong>1.</strong> Tôi đăng ký đơn này xin được trở thành Thành Viên (TV) cho Công ty Cổ Phần VIET DISTRIBUTION (VDC).
          </p>
          <p>
            <strong>2.</strong> Tôi hiểu rõ và xác nhận rằng với vai trò là TV, tôi không phải là nhân viên của VDC theo quy định của pháp luật. Việc đăng ký Bản thỏa thuận này với VDC sẽ không cho phép tôi đại diện hoặc thay mặt VDC thực hiện bất kỳ hành động nào liên quan đến pháp luật Việt Nam hoặc các vấn đề pháp lý mà không được sự đồng ý bằng văn bản của VDC.
          </p>
          <p>
            <strong>3.</strong> Tôi cam kết tuân thủ các quyết định, điều khoản, quy tắc đạo đức và chính sách kinh doanh của VDC. Các quy định và chính sách này có thể được đơn phương điều chỉnh bởi VDC và được công bố bằng văn bản.
          </p>
          <p>
            <strong>4.</strong> Tôi cam kết không tiết lộ hoặc sử dụng những thông tin thương mại, các phương pháp kinh doanh, tổ chức bán hàng, thông tin bí mật liên quan đến khách hàng và nhân viên của VDC cho bất cứ cá nhân hay tổ chức nào, tôi sẽ chịu trách nhiệm bồi hoàn tất cả những thiệt hại gây ra do việc không tuân thủ những cam kết nêu trên.
          </p>
          <p>
            <strong>5.</strong> Tôi cam kết bất cứ hành động nào của tôi luôn nhằm bảo vệ tốt cho thương hiệu, sản phẩm, dịch vụ và uy tín của VDC trên thị trường. Tôi đồng ý sử dụng chức danh "Account Manager" hoặc "Key Account Manager" in trên danh thiếp theo mẫu của VDC chỉ phục vụ cho vai trò TV của tôi và tôi không phải là nhân viên chính thức của VDC.
          </p>
          <p>
            <strong>6.</strong> Tôi đồng ý trong quá trình làm việc với VDC, tất cả những phát minh, sáng kiến của tôi liên quan đến sản phẩm và dịch vụ của VDC sẽ được xem là tài sản của VDC và tôi sẽ có quyền được hưởng tất cả những lợi nhuận, lợi ích đã thỏa thuận từ những phát minh, sáng kiến đó trong suốt thời gian làm việc cho VDC.
          </p>
          <p>
            <strong>7.</strong> Tôi đồng ý để VDC khấu trừ tiền thuế thu nhập cá nhân của tôi để nộp vào Ngân sách Nhà Nước Việt Nam theo quy định nếu mỗi đơn hàng có tổng mức chiết khấu trên 2.000.000 VND. Tôi sẽ tự chịu trách nhiệm về bất kỳ khoản thuế nào đối với bất kỳ khoản thu nhập nào khác của tôi ngoài khoản mà VDC trực tiếp chi trả cho tôi.
          </p>
          <p>
            <strong>8.</strong> Cả hai bên có quyền chấm dứt thỏa thuận bằng cách thông báo bằng văn bản cho bên kia trước 10 ngày làm việc. Thỏa thuận này sẽ được coi là chấm dứt khi có đầy đủ văn bản thông báo đã được đưa ra và giải quyết tất cả các vấn đề liên quan nếu có.
          </p>
          <p>
            <strong>9.</strong> Tôi xác nhận rằng tôi đã đọc và hiểu rõ nội dung bản đăng ký và việc tôi ký tên vào bản đăng ký này sẽ là bằng chứng của việc tôi đồng ý với các điều khoản đã được nêu bên trên. Tôi cam đoan rằng hoàn toàn tự do và tự nguyện ký vào bản đăng ký này trong lúc tinh thần ổn định và không bị ép buộc.
          </p>
        </q-card-section>
      </q-card>
    </q-dialog>
  </div>
</template>

<script>
export default {
  props: {
    value: { type: Boolean, default: false }
  },
  data() {
    return {
      openModal: false
    };
  },
  computed: {
    acceptPolicy: {
      get() {
        return this.value;
      },
      set(v) {
        this.$emit('input', v);
      }
    }
  }
};
</script>
